Use openalpr plugin in Deepstream 5.0 on T4

Please provide complete information as applicable to your setup.

• Hardware Platform (Jetson / GPU ) -> GPU
• DeepStream Version -> 5.0
• TensorRT Version -> 7.0
• NVIDIA GPU Driver Version (valid for GPU only) -> 440.82

Hi all, I have some doubts about how to include this plug-in to the deepstream app for LP detection and recognition. I tried going through the Deepstream documentation. Didnt find anything useful about alpr

Hi,
the plugin you mentioned is based on deepstream 1.5, there API changes from 1.5. for example, meta data structure changed. in 1.5, it’s IvaMeta, but in 3.0, NvDsMeta, from 4.0 after streammux new added, NvDsBatchMeta used.
if you indeed want to use this plugin, you may need to use deepstream version 1.5, but we do not maintain older version.
or you may change the plugin accordingly to fit version 5.0
but i am not sure if have licence issues if implement based on this plugin.

older archives:
https://developer.nvidia.com/deepstream-getting-started,
after check box " Agree To the Terms of the NVIDIA DeepStream SDK 5.0 Software License Agreement", roll down you will see “archived version”. click in, you will see sdk from earliest to latest.

1 Like